Authorize a 60-second read grant for one retained attachment
POST
/v1/mail/messages/{messageId}/attachments/{attachmentId}/downloadAuthorizationBearer <token>
In: header
Path Parameters
messageId*string
Format:
uuidattachmentId*string
Format:
uuidQuery Parameters
mailboxId?string
Omit for the acting account's Mailbox; other targets require owner/admin authority
Format:
uuidResponse Body
application/json
curl -X POST "https://example.com/v1/mail/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments/497f6eca-6276-4993-bfeb-53cbbbba6f08/download"{
"messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",
"attachment": {
"attachmentId": "96b9bbac-86d3-4497-9e0c-1f8e3803eddb",
"ordinal": 0,
"filename": "string",
"contentType": "string",
"disposition": "inline",
"contentId": "string",
"state": "retained",
"bytes": 0,
"sha256": "string"
},
"url": "http://example.com",
"expiresAt": "2019-08-24T14:15:22Z"
}